> ## Documentation Index
> Fetch the complete documentation index at: https://doc.callx.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Make a call

> Creates a new outbound call in the callX



## OpenAPI

````yaml POST /api/v1/calls
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.callx.io
security:
  - bearerAuth: []
paths:
  /api/v1/calls:
    post:
      description: Creates a new outbound call in the callX
      requestBody:
        description: Call details to create a new outbound call
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewCall'
        required: true
      responses:
        '200':
          description: Call created successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - callSid
                  - accountSid
                  - callLogId
                  - to
                  - from
                  - status
                  - direction
                properties:
                  callSid:
                    type: string
                  accountSid:
                    type: string
                  callLogId:
                    type: string
                  to:
                    type: string
                  from:
                    type: string
                  status:
                    type: string
                    enum:
                      - queued
                  direction:
                    type: string
                    enum:
                      - outbound-api
        '400':
          description: Bad request or validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    NewCall:
      type: object
      required:
        - phoneNumberId
        - customer
      properties:
        assistant: 7798d08e-be27-482b-a45a-0c258a5680fe
        phoneNumberId:
          type: string
          description: Unique identifier for the phone number making the call
        customer:
          $ref: '#/components/schemas/Customer'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    Customer:
      type: object
      required:
        - number
      properties:
        number:
          type: string
          description: Customer's phone number in international format
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````